![Argon](https://cdn.jsdelivr.net/gh/solstice23/cdn@master/argon_new_animate.svg)

[简体中文](README.md) | **繁體中文** | [English](README_en.md) | [Russian](README_ru.md)

# Argon-Theme
Argon - 壹個輕盈、簡潔、美觀的 WordPress 主題

[![GitHub release](https://img.shields.io/github/v/release/solstice23/argon-theme?color=%235e72e4&style=for-the-badge)](https://github.com/solstice23/argon-theme/releases) [![GitHub All Releases](https://img.shields.io/github/downloads/solstice23/argon-theme/total?style=for-the-badge)](https://github.com/solstice23/argon-theme/releases) [![GitHub](https://img.shields.io/github/license/solstice23/argon-theme?color=blue&style=for-the-badge)](https://github.com/solstice23/argon-theme/blob/master/LICENSE) [![Author]( https://img.shields.io/badge/author-solstice23-yellow?style=for-the-badge)](https://github.com/solstice23) [![GitHub stars](https://img.shields.io/github/stars/solstice23/argon-theme?color=ff69b4&style=for-the-badge)](https://github.com/solstice23/argon-theme/stargazers)

[![GitHub last commit](https://img.shields.io/github/last-commit/solstice23/argon-theme?style=flat-square)](https://github.com/solstice23/argon-theme/commits/master) [![GitHub Release Date](https://img.shields.io/github/release-date/solstice23/argon-theme?style=flat-square)](https://github.com/solstice23/argon-theme/releases) ![GitHub code size in bytes](https://img.shields.io/github/languages/code-size/solstice23/argon-theme?style=flat-square)

# 特性

+ **輕盈美觀** - 使用 Argon Design System 前端框架，細節精致，輕盈美觀
+ **高度可定制化** - 可自定義主題色、布局(雙欄/單欄/三欄)、頂欄、側欄、Banner、背景圖、日夜間模式不同背景、背景沈浸、浮動操作按鈕等，提供了豐富的自定義選項
+ **夜間模式** - 支持日間、夜間、純黑三種模式，並可以根據時間自動切換或跟隨系統夜間模式
+ **功能繁多** - Tag 和分類統計、作者鏈接、額外鏈接、文章字數和預計閱讀時間、文章過時信息顯示
+ **Pjax** - 支持 Pjax 無刷新加載，提高瀏覽體驗
+ **友情鏈接** - 支持使用 Wordpress 自帶的鏈接管理器進行友鏈管理，支持多種友鏈樣式
+ **"說說" 功能** - 隨時發表想法，並在專門的 "說說" 頁面展示，也支持說說和首頁文章穿插
+ **評論功能擴展** - Ajax 評論，評論支持 Markdown、驗證碼、再次編輯、顯示 UA、悄悄話模式、回復時郵件通知、查看編輯記錄、無限加載等功能
+ **諸多功能** - 文章目錄、閱讀進度、Mathjax 或 Katex 公式解析、圖片放大預覽、Pangu.js 文本格式化、平滑滾動等
+ **豐富的短代碼** - 支持通過短代碼在文章中插入 TODO、標簽、警告、提示、折疊區塊、Github 信息卡、時間線、隱藏文本、視頻等模塊
+ **多語言** - 支持中文、英文兩種語言
+ **其他** - 自適應、精心優化的文章閱讀界面 CSS、可切換襯線/非襯線字體、可自定義 CSS 和 JS、支持使用 CDN 加速靜態文件訪問、SEO 友好、Banner 打字動畫、留言板頁面等

# 安裝

在 [Release](https://github.com/solstice23/argon-theme/releases) 頁面下載 .zip 文件，在 WordPress 後臺 "主題" 頁面上傳並安裝。

# 文檔

[Argon-Theme 文檔 : https://argon-docs.solstice23.top](https://argon-docs.solstice23.top/)

# Demo

主題效果預覽

[solstice23.top](https://solstice23.top)

[argon-demo.solstice23.top](http://argon-demo.solstice23.top)

# 註意

Argon 使用 [GPL V3.0](https://github.com/solstice23/argon-theme/blob/master/LICENSE) 協議開源，請遵守此協議進行二次開發等。

您**必須在頁腳保留 Argon 主題的名稱及其鏈接**，否則請不要使用 Argon 主題。

您**可以刪除**頁腳的作者信息，但是**不能刪除** Argon 主題的名稱和鏈接。

# 渲染

![render1](https://cdn.jsdelivr.net/gh/solstice23/cdn@master/argon-render-small-1.jpg)

![render2](https://cdn.jsdelivr.net/gh/solstice23/cdn@master/argon-render-small-2.jpg)

![render3](https://cdn.jsdelivr.net/gh/solstice23/cdn@master/argon-render-small-3.jpg)

![render4](https://cdn.jsdelivr.net/gh/solstice23/cdn@master/argon-render-small-4.jpg)

![render5](https://cdn.jsdelivr.net/gh/solstice23/cdn@master/argon-render-small-5.jpg)

# Telegram 頻道
[t.me/argontheme](https://t.me/argontheme)

自動推送更新消息以及其他關於 Argon 的消息

# Update logs

見 [readme.md](https://github.com/solstice23/argon-theme#%E6%9B%B4%E6%96%B0%E6%97%A5%E5%BF%97)

# 捐贈
如果妳覺得 Argon 主題不錯，可以請我壹杯咖啡來支持我的開發。

![微信捐贈碼](https://img.solstice23.top/2020/03/07/fc4b804bf938b.png)
